# Node.js Dockerized Demo
Dockerized Node.js application, created by a not-so-expert-in-container Afzaal Ahmad Zeeshan. The app features,

* Node.js runtimes
* Express framework
* Pug templates
* Dockerfile—I somehow prefer Dockerfile over docker compose (_someday, I might change this_).

Currently under process, but soon I would write up an article explaining the content shared in this post and will link it here.

| Item | Description | Link |
| ---  | --- | --- |
| Docker Hub Link | You can find the image of this repository on Docker hub, I will try to update the image as much as I can to make it available for others to demonstrate, as they follow up with the articles on this repository. | https://hub.docker.com/r/afzaalahmadzeeshan/express-nodejs/ |

Also, the code here is provided as-is, I do not take any responsibility for anything that might happen with this code, your usage of the code means you are taking the responsibility for loss/charges that you face. The project is licensed under MIT license (see the LICENSE file). I have however, tried my best to make sure the code works fine and has little (if no) bugs.

I would also appreciate if you can make changes to this, and will accept the changes willingly if they improve on this repository. To understand how the application is being updated and packaged, please check the **UPDATE** file.

Yours trainer,  
Afzaal Ahmad Zeeshan.
